Subject: Use CDN instead of mirrors for Apache httpd

From: [email-masked]
Date: Sun, 12 Nov 2023 15:10:32 +0300

Hello fellow guixers.

I've found that I cannot build httpd package because of download issues.

downloading from 
http://www.eu.apache.org/dist/httpd/httpd-2.4.58.tar.bz2 ...

sha256 hash mismatch for 
/gnu/store/sil2xmw01qmyygdbhvrsvyvmaviha2dy-httpd-2.4.58.tar.bz2:
   expected hash: 1id45r2ccgkbjm9i998997ch32lvicpyynyx8x6aa4420wmdf5ps
   actual hash:   0mdqa9w1p6cmli6976v4wi0sw9r4p5prkj7lzfd1877wk11c9c73

On the other hand, Apache web site states clearly that it doesn't use 
mirror system anymore:
"As of the third quarter of 2021, the ASF stopped using its download 
mirror system. It is now using a global content distribution network 
(CDN)."
https://www.apache.org/mirrors.html

So I've made a patch that disables Apache mirrors for [email-masked] and 
httpd/[email-masked] packages.

Dmitry Nikolaev

diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index 66d09700db..0fef4fb928 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -281,7 +281,7 @@ (define-public httpd
     (version "2.4.58")
     (source (origin
              (method url-fetch)
-             (uri (string-append "mirror://apache/httpd/httpd-"
+             (uri (string-append "https://dlcdn.apache.org/httpd/httpd-"
                                  version ".tar.bz2"))
              (sha256
               (base32
@@ -319,7 +319,7 @@ (define-public httpd/pinned
       (version "2.4.52")
       (source (origin
                (method url-fetch)
-               (uri (string-append "mirror://apache/httpd/httpd-"
+               (uri (string-append "https://dlcdn.apache.org/httpd/httpd-"
                                    version ".tar.bz2"))
                (sha256
                 (base32